complexType "RequestAllocation"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 attributes, 12 elements
Defined: | globally in fpml-confirmation-processes-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "2"
| >
Content: | header, validation*, isCorrection, (parentCorrelationId?, correlationId, sequenceNumber)?, onBehalfOf?, relatedParty*, blockTradeIdentifier, allocations, party+, account*
</...>

Content Model Elements (12):

  account,
  allocations (in requestAllocation),
  blockTradeIdentifier (in requestAllocation),
  correlationId,
  header (defined in RequestMessage complexType),
  isCorrection (defined in CorrectableRequestMessage complexType),
  onBehalfOf (defined in OnBehalfOf.model group),
  parentCorrelationId,
  party,
  relatedParty (in requestAllocation),
  sequenceNumber (defined in Sequence.model group),
  validation

All Direct / Indirect Based Elements (1):

  requestAllocation

Known Usage Locations

- As direct type of elements (1):
  requestAllocation

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) CorrectableRequestMessage (extension) RequestAllocation

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="RequestAllocation"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="RelatedParty"/> <xsd:element name="blockTradeIdentifier" type="TradeIdentifier"/> <xsd:element name="allocations" type="Allocations"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/12)
allocations

  Type: | Allocations, complex content

  XML Source (see within schema source)

  <xsd:element name="allocations" type="Allocations"/>

blockTradeIdentifier

  Type: | TradeIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element name="blockTradeIdentifier" type="TradeIdentifier"/>

relatedParty

  Type: | RelatedParty, complex content

  Identifies a related party performing a role within the transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="RelatedParty"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.